## Class Auth_OpenID_ConsumerResponse

Description

The base class for responses from the Auth_OpenID_Consumer.

Located in /Auth/OpenID/Consumer.php (line 1970)

Direct descendents

Class | Description
--- | ---
Auth_OpenID_SuccessResponse | A response with a status of Auth_OpenID_SUCCESS. Indicates that
Auth_OpenID_FailureResponse | A response with a status of Auth_OpenID_FAILURE. Indicates that the OpenID protocol has failed. This could be locally or remotely triggered. This has three relevant attributes:
Auth_OpenID_CancelResponse | A response with a status of Auth_OpenID_CANCEL. Indicates that the user cancelled the OpenID authentication request. This has two relevant attributes:
Auth_OpenID_SetupNeededResponse | A response with a status of Auth_OpenID_SETUP_NEEDED. Indicates that the request was in immediate mode, and the server is unable to authenticate the user without further interaction.

Variable Summary
mixed $status
Method Summary
void getDisplayIdentifier ()
void setEndpoint ( $endpoint)
Variables
mixed $status = null (line 1971)

Redefined in descendants as:

- Auth_OpenID_SuccessResponse::$status
- Auth_OpenID_FailureResponse::$status
- Auth_OpenID_CancelResponse::$status
- Auth_OpenID_SetupNeededResponse::$status

Methods
getDisplayIdentifier (line 2000)

Return the display identifier for this response.

The display identifier is related to the Claimed Identifier, but the two are not always identical. The display identifier is something the user should recognize as what they entered, whereas the response's claimed identifier (in the identity_url attribute) may have extra information for better persistence.

URLs will be stripped of their fragments for display. XRIs will display the human-readable identifier (i-name) instead of the persistent identifier (i-number).

Use the display identifier in your user interface. Use identity_url for querying your database or authorization server.

void getDisplayIdentifier ()
setEndpoint (line 1973)
void setEndpoint ( $endpoint)

- $endpoint

Documentation generated on Tue, 21 Apr 2009 11:31:30 -0700 by phpDocumentor 1.3.2